/* Template file for a post-processing code. For performance reasons,
 we recommend to store the whole trajectory in RAM and then analyze it. */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

void read(FILE *fp, int *npart, int *ndim, double **pos, double **box) {
  int i, n, err;
  double x, y, z;
  char a[256];
  *ndim = 3;
  err = fscanf(fp,"%d\n",&n);
  *npart = n;
  err = fscanf(fp, "%lf %lf %lf\n", &x, &y, &z);
  *box = malloc((*ndim)*sizeof(double));
  (*box)[0] = x;
  (*box)[1] = y;
  (*box)[2] = z;
  *pos = malloc((*ndim)*n*sizeof(double));
  for (i=0; i<n; i++) {
    err = fscanf(fp, "%s %lf %lf %lf\n", a, &x, &y, &z);
    (*pos)[i*(*ndim)]   = x;
    (*pos)[i*(*ndim)+1] = y;
    (*pos)[i*(*ndim)+2] = z;
  }
}

int main (int argc, char * argv[]) {
  int i, n, ndim;
  double *pos, *box;
  FILE *finp, *fout;

  finp = fopen(argv[1],"r");
  read(finp, &n, &ndim, &pos, &box);

  /* data analysis here */

  close(finp);
  return 0;
}
